import request from '@/utils/request'

// 设置代理升级
export function setLevelUp(data) {
  return request({
    url: '/setting/agentuplevel',
    method: 'post',
    data
  })
}

// 门店列表:
export function getStoreList(data) {
  return request({
    url: '/store/getstorelist',
    method: 'get',
    params: data
  })
}

// 添加门店:
export function addStore(data) {
  return request({
    url: '/store/uploadstore',
    method: 'post',
    data
  })
}

// 修改门店:
export function editStore(data) {
  return request({
    url: '/store/updatestore',
    method: 'post',
    data
  })
}

// 禁用门店:
export function disabledStore(data) {
  return request({
    url: '/store/shelvedstore',
    method: 'post',
    data
  })
}

// 删除门店:
export function deleteStore(data) {
  return request({
    url: '/store/destorystore',
    method: 'post',
    data
  })
}

// 删除门店:
export function uploadstore(data) {
  return request({
    url: '/store/uploadstoreimg',
    method: 'post',
    data
  })
}

